lavfi: create Libav-API compatibility layer for avfilter_graph_parse() at the next...
authorStefano Sabatini <stefasab@gmail.com>
Mon, 1 Jul 2013 23:39:14 +0000 (01:39 +0200)
committerStefano Sabatini <stefasab@gmail.com>
Wed, 3 Jul 2013 11:21:42 +0000 (13:21 +0200)
commit838bd731393a29a41a86ff15ccf972f967306319
treedc3861a36f6338bab0531b00aea8adfbcd77a2c4
parent5efbeae38cdcf8ed099be06f59fb422b5004e163
lavfi: create Libav-API compatibility layer for avfilter_graph_parse() at the next bump

Add function avfilter_graph_parse_ptr() and favor it in place of
avfilter_graph_parse(), which will be restored with the old/Libav
signature at the next bump.

If HAVE_INCOMPATIBLE_LIBAV_API is enabled it will use the
Libav-compatible signature for avfilter_graph_parse().

At the next major bump the current implementation of
avfilter_graph_parse() should be dropped in favor of the Libav/old
implementation.

Should address trac ticket #2672.
doc/APIchanges
doc/examples/filtering_audio.c
doc/examples/filtering_video.c
ffplay.c
libavdevice/lavfi.c
libavfilter/avfilter.h
libavfilter/graphparser.c
libavfilter/version.h